Subject: OpenRC/fsck fails if root filesystem is f2fs

From: Vittorio Mori <[email-masked]>
Date: Thu, 22 Aug 2019 19:06:59 +0200

I'm trying to use Alpine on a usb key formatted with a small /boot
partition with ext4, and the rest with f2fs.

I managed to make it work, somehow: the problem is that the OpenRC script
fails during fsck, mounting root (/) in READ-ONLY.

It seems the kernel auto-mounts the root f2fs partition, so it gets fscked
and fails (f2fs does not permit checking with mounted filesystems) or maybe
the command-line parameters of fsck.f2fs are somewhat different.

I hacked it by putting a # in front of the fsck line in the OpenRC "fsck"
script, but is not a real solution, it'a a dirty workaround, but I get no
errors and the root filesytem works rw normally.

Any ideas on how to make this work ?